### Enumeration

# RB EntryViewColumn

#### Declaration

    enum RB.EntryViewColumn

#### Description [src]

Predefined column types to use in `RBEntryView`s. Use

# rb_entry_view_append_column to add these to an entry view.

The predefined column names map directly to the `RhythmDBEntry` properties the columns display.

#### Members

`RB_ENTRY_VIEW_COL_TRACK_NUMBER`

  The track number column.

  - Value: `0`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_TITLE`

  The title column.

  - Value: `1`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_ARTIST`

  The artist column.

  - Value: `2`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_ALBUM`

  The album column.

  - Value: `3`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_GENRE`

  The genre column.

  - Value: `4`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_COMMENT`

  The comment column.

  - Value: `5`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_DURATION`

  The duration column.

  - Value: `6`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_QUALITY`

  The quality (bitrate) column.

  - Value: `7`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_RATING`

  The rating column.

  - Value: `8`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_PLAY_COUNT`

  The play count column.

  - Value: `9`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_YEAR`

  The year (release date) column.

  - Value: `10`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_LAST_PLAYED`

  The last played time column.

  - Value: `11`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_FIRST_SEEN`

  The first seen (imported) column.

  - Value: `12`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_LAST_SEEN`

  The last seen column.

  - Value: `13`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_LOCATION`

  The location column.

  - Value: `14`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_BPM`

  The BPM column.

  - Value: `15`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_ERROR`

  The error column.

  - Value: `16`
  - Available since: 3.0
`RB_ENTRY_VIEW_COL_COMPOSER`

  The composer column.

  - Value: `17`
  - Available since: 3.0